org.apache.synapse.commons.datasource

## Class DataSourceRepositoryHolder

- java.lang.Object
- - org.apache.synapse.commons.datasource.DataSourceRepositoryHolder

-     public class DataSourceRepositoryHolder
      extends java.lang.Object

  Holder for the DataSourceRepository

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSourceInformationRepository` | `getDataSourceInformationRepository()`
    `DataSourceRepositoryManager` | `getDataSourceRepositoryManager()`
    `static DataSourceRepositoryHolder` | `getInstance()`
    `RepositoryBasedDataSourceFinder` | `getRepositoryBasedDataSourceFinder()`
    `void` | `init(DataSourceInformationRepository repository, java.util.Properties properties)` Initialize DataSourceInformationRepository.
    `boolean` | `isInitialized()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DataSourceRepositoryHolder getInstance()

    - #### init

          public void init(DataSourceInformationRepository repository,
                           java.util.Properties properties)

      Initialize DataSourceInformationRepository.
      Parameters:
        `repository` - to be initialized
        `properties` - DataSources configuration properties

    - #### getDataSourceInformationRepository

          public DataSourceInformationRepository getDataSourceInformationRepository()

    - #### isInitialized

          public boolean isInitialized()

    - #### getDataSourceRepositoryManager

          public DataSourceRepositoryManager getDataSourceRepositoryManager()

    - #### getRepositoryBasedDataSourceFinder

          public RepositoryBasedDataSourceFinder getRepositoryBasedDataSourceFinder()

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.